summaryrefslogtreecommitdiff
path: root/tools/perf/tests/shell/test_stackcollapse_python.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/perf/tests/shell/test_stackcollapse_python.sh')
-rwxr-xr-xtools/perf/tests/shell/test_stackcollapse_python.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tools/perf/tests/shell/test_stackcollapse_python.sh b/tools/perf/tests/shell/test_stackcollapse_python.sh
index a3b6c917e842..ce0f80407eec 100755
--- a/tools/perf/tests/shell/test_stackcollapse_python.sh
+++ b/tools/perf/tests/shell/test_stackcollapse_python.sh
@@ -47,7 +47,7 @@ if [ ! -s "${temp_data}" ]; then
fi
# Check that the script executes with default options
-if ! "$PYTHON" "$script_path" -i "${temp_data}" > "${temp_out}"; then
+if ! perf script stackcollapse -i "${temp_data}" > "${temp_out}"; then
echo "stackcollapse.py test failed"
err=1
else
@@ -61,12 +61,12 @@ else
fi
# Test CLI flags (--include-pid, --include-tid, --tidy-java, --kernel) and BrokenPipeError
-if ! "$PYTHON" "$script_path" -i "${temp_data}" \
+if ! perf script stackcollapse -i "${temp_data}" \
--include-pid --include-tid --tidy-java --kernel | head -n 1 > "${temp_out}" || \
[ ! -s "${temp_out}" ]; then
echo "stackcollapse.py options/pipe test failed"
err=1
-elif ! "$PYTHON" "$script_path" -i "${temp_data}" --no-comm > "${temp_out}" || \
+elif ! perf script stackcollapse -i "${temp_data}" --no-comm > "${temp_out}" || \
[ ! -s "${temp_out}" ]; then
echo "stackcollapse.py --no-comm test failed"
err=1